'*******************************************************************************
' *
' * Licensed Materials - Property of IBM
' *
' * (c) Copyright IBM Corp. 2008, 2012 All Rights Reserved
' *
' * US Government Users Restricted Rights - Use, duplication or
' * disclosure restricted by GSA ADP Schedule Contract with
' * IBM Corp.
' *
'*******************************************************************************

Sub checkError( message)
	If Err.Number <> 0 Then
		wscript.echo "Error " & message & ". Error: " & Err.Number & " - " &  Err.Description
		Err.Clear
	end if
End Sub

' ignore errors
On Error Resume Next

' start only if 2 or more arguments are provided 
if WScript.Arguments.Count < 2 then
	wscript.quit
end if

Set word = CreateObject("Word.Application")
word.Visible = TRUE
checkError "creating Word instance"

Set doc = word.Documents.Open( Wscript.Arguments(0))
checkError "loading document"

if doc <> nul then

	if WScript.Arguments.Count = 2 then
		word.Run Wscript.Arguments(1)
	elseif WScript.Arguments.Count = 3 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2)
	elseif WScript.Arguments.Count = 4 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3)
	elseif WScript.Arguments.Count = 5 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3)
	elseif WScript.Arguments.Count = 6 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3)
	elseif WScript.Arguments.Count = 7 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4)
	elseif WScript.Arguments.Count = 8 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5)
	elseif WScript.Arguments.Count = 9 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5), Wscript.Arguments(6)
	elseif WScript.Arguments.Count = 10 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5), Wscript.Arguments(6), Wscript.Arguments(7)
	elseif WScript.Arguments.Count = 11 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5), Wscript.Arguments(6), Wscript.Arguments(7), Wscript.Arguments(8)
	elseif WScript.Arguments.Count = 12 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5), Wscript.Arguments(6), Wscript.Arguments(7), Wscript.Arguments(8), Wscript.Arguments(9)
	elseif WScript.Arguments.Count = 13 then
		word.Run Wscript.Arguments(1), Wscript.Arguments(2), Wscript.Arguments(3), Wscript.Arguments(4), Wscript.Arguments(5), Wscript.Arguments(6), Wscript.Arguments(7), Wscript.Arguments(8), Wscript.Arguments(9), Wscript.Arguments(10)
	end if
	
	checkError "running macro"

	word.ActiveDocument.Save
	checkError "saving document"
end if

' avoid MS Word prompting to save normal.dot
word.NormalTemplate.Saved = true
word.Quit 0
checkError "closing Word instance"

wscript.echo "Macro execution finished"